<h4>{l s='Order placed on'} {dateFormat date=$order->date_add full=0}</h4>

{if count($order_history)}
<p class="bold">{l s='Follow your order step by step'}</p>
<div class="table_block">
	<table class="detail_step_by_step">
		<thead>
			<tr>
				<th class="first_item">{l s='Date'}</th>
				<th class="last_item">{l s='Status'}</th>
			</tr>
		</thead>
		<tbody>
		{foreach from=$order_history item=state name="orderStates"}
			<tr class="{if $smarty.foreach.orderStates.first}first_item{elseif $smarty.foreach.orderStates.last}last_item{/if} {if $smarty.foreach.orderStates.index % 2}alternate_item{else}item{/if}">
				<td>{dateFormat date=$state.date_add full=1}</td>
				<td>{$state.ostate_name}</td>
			</tr>
		{/foreach}
		</tbody>
	</table>
</div>
{/if}

{if $followup}
<p class="bold">{l s='Click the following link to track delivery of your order'}</p>
<a href="{$followup}">{$followup}</a>
{/if}

<p class="bold">{l s='Order ID:'} <span class="color-myaccount">FA{$order->id|string_format:"%06d"}</span></p>
<p class="bold">{l s='Carrier:'} {$carrier->name}</p>
{if $order->recyclable}
<p><img src="{$img_dir}icon/recyclable.gif" alt="" class="icon" />&nbsp;{l s='You have given permission to receive your order in recycled packaging.'}</p>
{/if}
{if $order->gift}
	<p><img src="{$img_dir}icon/gift.gif" alt="" class="icon" />&nbsp;{l s='You requested gift-wrapping for your order.'}</p>
	<p>{l s='Message:'} {$order->gift_message}</p>
{/if}
{if $invoice}
<p>
	<a href="{$base_dir}pdf-invoice.php?id_order={$order->id}">
		<img src="{$img_dir}icon/pdf.gif" alt="" class="icon" />{l s='Download your invoice as a .PDF file'}
	</a>
</p>
{/if}

<p class="bold">{l s='Payment method:'} <span class="color-myaccount">{$order->payment}</span></p>



<ul class="address item">
	<li class="address_title">{l s='Invoice'}</li>
	{if $address_invoice->company}<li class="address_company">{$address_invoice->company}</li>{/if}
	<li class="address_name">{$address_invoice->firstname} {$address_invoice->lastname}</li>
	<li class="address_address1">{$address_invoice->address1}</li>
	{if $address_invoice->address2}<li class="address_address2">{$address_invoice->address2}</li>{/if}
	<li class="address_city">{$address_invoice->postcode} {$address_invoice->city}</li>
	<li class="address_country">{$address_invoice->country}</li>
	{if $address_invoice->phone}<li class="address_phone">{$address_invoice->phone}</li>{/if}
	{if $address_invoice->phone_mobile}<li class="address_phone_mobile">{$address_invoice->phone_mobile}</li>{/if}
</ul>
<ul class="address alternate_item">
	<li class="address_title">{l s='Delivery'}</li>
	{if $address_delivery->company}<li class="address_company">{$address_delivery->company}</li>{/if}
	<li class="address_name">{$address_delivery->firstname} {$address_delivery->lastname}</li>
	<li class="address_address1">{$address_delivery->address1}</li>
	{if $address_delivery->address2}<li class="address_address2">{$address_delivery->address2}</li>{/if}
	<li class="address_city">{$address_delivery->postcode} {$address_delivery->city}</li>
	<li class="address_country">{$address_delivery->country}</li>
	{if $address_delivery->phone}<li class="address_phone">{$address_delivery->phone}</li>{/if}
	{if $address_delivery->phone_mobile}<li class="address_phone_mobile">{$address_delivery->phone_mobile}</li>{/if}
</ul>
<div id="order-detail-content" class="table_block">
	<table>
		<thead>
			<tr>
				<th class="first_item">{l s='Reference'}</th>
				<th class="item">{l s='Product'}</th>
				<th class="item">{l s='Quantity'}</th>
				<th class="item">{l s='Unit price'}</th>
				<th class="last_item">{l s='Total price'}</th>
			</tr>
		</thead>
		<tfoot>
			<tr class="item">
				<td colspan="5">
					{l s='Total products:'}<span class="price">{displayWtPriceWithCurrency price=$order->getTotalProductsWithTaxes() currency=$currency convert=0}</span>
				</td>
			</tr>
			<tr class="item">
				<td colspan="5">
					{l s='Total vouchers:'}<span class="price-discount">{displayWtPriceWithCurrency price=$order->total_discounts currency=$currency convert=1}</span>
				</td>
			</tr>
			<tr class="item">
				<td colspan="5">
					{l s='Total shipping:'}<span class="price-shipping">{displayWtPriceWithCurrency price=$order->total_shipping currency=$currency convert=0}</span>
				</td>
			</tr>
			<tr class="item">
				<td colspan="5">
					{l s='Total:'}<span class="price">{displayWtPriceWithCurrency price=$order->total_paid currency=$currency convert=0}</span>
				</td>
			</tr>
		</tfoot>
		<tbody>
		{foreach from=$products item=product name=products}
			<tr class="{if $smarty.foreach.products.first}first_item{/if} {if $smarty.foreach.products.index % 2}alternate_item{else}item{/if}">
				<td>{if $product.product_reference}{$product.product_reference}{else}--{/if}</td>
				<td class="bold">{if $product.download_hash && $invoice}<a href="{$base_dir}get-file.php?key={$product.filename}-{$product.download_hash}"><img src="{$img_dir}icon/download_product.gif" class="icon" alt="{l s='Download product'}" />&nbsp;{$product.product_name}</a>{else}{$product.product_name}{/if}</td>
				<td>{$product.product_quantity}</td>
				<td>{convertPriceWithCurrency price=$product.product_price_wt currency=$currency convert=0}</td>
				<td>{convertPriceWithCurrency price=$product.total_wt currency=$currency convert=0}</td>
			</tr>
		{/foreach}
		{foreach from=$discounts item=discount}
			<tr class="item">
				<td>{$discount.name}</td>
				<td>{l s='Voucher:'} {$discount.name}</td>
				<td>1</td>
				<td>&nbsp;</td>
				<td>{l s='-'}{convertPrice price=$discount.value}</td>
			</tr>
		{/foreach}
		</tbody>
	</table>
</div>
<p>{l s='Please note: Our products, with few exceptions, are only billed upon shipment. Planned shipping dates are estimated with relation to the availability of products in stock both in our store and at our suppliers.'}</p>

{if $messages}
	<h5>{l s='Messages'}</h5>
	{foreach from=$messages item=message}
	<p>
		({dateFormat date=$message.date_add full=1})
		<span class="bold">
		{if $message.ename}
			{$message.efirstname} {$message.elastname}
		{else}
			{$message.cfirstname} {$message.clastname}
		{/if}
		</span> : {$message.message}
	</p>
	{/foreach}
{/if}

<form action="{$base_dir}order-detail.php" method="post" class="std" id="sendOrderMessage">
	<p>{l s='Add a message:'}<br/>
		<textarea cols="67" rows="3" name="msgText"></textarea>
	</p>
	<p class="submit">
		<input type="hidden" name="id_order" value="{$order->id}" />
		<input type="submit" class="button" name="submitMessage" value="{l s='Send'}"/>
	</p>
</form>